<?php
namespace Concrete\Package\WebhappMexican\Block\MexicanWave;
use \Concrete\Core\Block\BlockController;
use \Concrete\Core\Validation\SanitizeService;

/*
Inspiration Basic version : https://codepen.io/molefrog/pen/ieJbo
Adapted for Concrete5 by Jozzeh
*/

defined('C5_EXECUTE') or die("Access Denied.");

class Controller extends BlockController {
	protected $btTable = 'btMexicanWave';
	protected $btInterfaceWidth = "600";
	protected $btInterfaceHeight = "400";
	protected $btCacheBlockOutput = true;
	protected $btCacheBlockRecord = true;

	public function getBlockTypeDescription() {
		return t("Make a textual mexican wave.");
	}

	public function getBlockTypeName() {
		return t("Mexican Wave");
	}

	public function save($args){
		$args['wavetext'] = nl2br(SanitizeService::sanitizeString($args['wavetext']));
		$args['fontsize'] = SanitizeService::sanitizeInt($args['fontsize']);

		parent::save($args);
	}

}
