<?php
/* Created by Concrete5 user Jozzeh */
defined('C5_EXECUTE') or die("Access Denied.");

$app = \Concrete\Core\Support\Facade\Application::getFacadeApplication();
$form = $app->make('helper/form');
$colors = $app->make('helper/form/color');

$colorOptions = array(
  'showInitial' => true,
  'showInput' => true,
  'allowEmpty' => true,
  'preferredFormat' => 'hex3',
  'showPalette' => 'true', 'palette' => array(
    array('yellow', 'blue', 'red', 'black', 'white')
  )
);

?>
<div class="form-group">
  <?php echo $form->label('wavetext', t('Text')); ?>
  <?php echo $form->textarea('wavetext', str_replace("<br />", "", $wavetext), array('required' => 'required', 'style' => 'width: 100%;')); ?>
</div>

<div class="form-group">
  <?php echo $form->label('fontsize', t('Font Size')); ?>
  <?php echo $form->number('fontsize', $fontsize ? $fontsize : 0, array('min' => 0, 'max' => 100)); ?>
</div>

<div class="form-group">
  <?php echo $form->label('fontcolor', t('Font Color')); ?>
	<div class="input-group">
		<?php echo $colors->output('fontcolor', $fontcolor, $colorOptions); ?>
	</div>
</div>
