<?php
namespace Concrete\Package\WebhappMexican;

defined('C5_EXECUTE') or die('Access Denied.');

/*
Inspiration Basic version : https://codepen.io/molefrog/pen/ieJbo
Adapted for Concrete5 by Jos De Berdt / Webhapp
*/

use \Concrete\Core\Package\Package;
use \Concrete\Core\Block\BlockType\BlockType;

class Controller extends Package
{
    protected $pkgHandle = 'webhapp_mexican';
    protected $appVersionRequired = '8.0.0';
    protected $pkgVersion = '0.9.2';

    public function getPackageDescription()
    {
        return t('Text that moves like a Mexican wave.');
    }

    public function getPackageName()
    {
        return t('Waving Text');
    }

    public function install()
    {
      $pkg = parent::install();
      if(!BlockType::getByHandle('mexican_wave')) {
        BlockType::installBlockType('mexican_wave', $pkg);
      }
    }

    public function update()
    {
      $pkg = Package::getByHandle('webhapp_mexican');
      if(!BlockType::getByHandle('mexican_wave')) {
        BlockType::installBlockType('mexican_wave', $pkg);
      }
    }
}
?>
